Installer - Bug #35925

ansible is not able to detect if the remote host just stops responding
01/11/2023 02:28 PM - Adam Ruzicka

Status: Closed

Priority: Normal
Assignee: Adam Ruzicka
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 3.6.0
Triaged: Yes Found in Releases:
Bugzilla link: 2101708 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/795,
https://github.com/theforeman/foreman-i
nstaller/pull/833,
https://github.com/theforeman/foreman-i
nstaller/pull/831

Description

Local libvirt reproducer:

1) Have foreman and a vm

2) Run long running ansible job against the vm

3) Do shut down > force off on the vm (or iptables -1 INPUT -j DROP on the remote host could have the same effect)

Expected result:
The job breaks

Actual result:
The job hangs

Related issues:
Copied from Foreman Remote Execution - Bug #35924: ssh is not able to detect ... Closed

Associated revisions

Revision 7eec0d44 - 01/14/2023 01:35 PM - Adam Ruzicka

Fixes #35925 - Enable ssh server keepalive for ansible

To properly detect if the remote end just disappears

Revision 504f7d72 - 02/15/2023 11:09 AM - Eric Helms
Refs #35925: Add SSH keepalive for Ansible

History

#1 - 01/11/2023 02:28 PM - Adam Ruzicka
- Copied from Bug #35924: ssh is not able to detect if the remote host just stops responding added

#2 - 01/11/2023 02:45 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/795 added

#3 - 01/14/2023 01:36 PM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#4 - 01/14/2023 02:00 PM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
Applied in changeset puppet-foreman_proxy|7eec0d44cac388905150e4264f31d36124736271.

#5 - 02/07/2023 07:50 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/833 added

#6 - 02/15/2023 12:59 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/831 added

#7 - 02/28/2023 02:59 PM - Ewoud Kohl van Wijngaarden
- Triaged changed from No to Yes
